Index: branches/HiveStatistics/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 9522)
+++ branches/HiveStatistics/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 11202)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,11 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.RealVectorEncoding_33.Tests {
-
-
+namespace HeuristicLab.Encodings.RealVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for BlendAlphaCrossoverTest and is intended
@@ -35,56 +32,10 @@
   [TestClass()]
   public class BlendAlphaCrossoverTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for Cross
     ///</summary>
     [TestMethod()]
-    [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
+    [TestCategory("Encodings.RealVector")]
+    [TestProperty("Time", "short")]
     public void BlendAlphaCrossoverCrossTest() {
       BlendAlphaCrossover_Accessor target = new BlendAlphaCrossover_Accessor(new PrivateObject(typeof(BlendAlphaCrossover)));
@@ -99,6 +50,5 @@
         RealVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -111,6 +61,5 @@
         RealVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -122,4 +71,6 @@
     ///</summary>
     [TestMethod()]
+    [TestCategory("Encodings.RealVector")]
+    [TestProperty("Time", "short")]
     public void BlendAlphaCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -155,6 +106,5 @@
       try {
         actual = BlendAlphaCrossover.Apply(random, parent1, parent2, alpha);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -170,18 +120,9 @@
       try {
         actual = BlendAlphaCrossover.Apply(random, parent1, parent2, alpha);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
       Assert.IsTrue(exceptionFired);
     }
-
-    /// <summary>
-    ///A test for BlendAlphaCrossover Constructor
-    ///</summary>
-    [TestMethod()]
-    public void BlendAlphaCrossoverConstructorTest() {
-      BlendAlphaCrossover target = new BlendAlphaCrossover();
-    }
   }
 }
